- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::ZipArchiveFactory Class Reference

Specialisation of ArchiveFactory for Zip files. More...

`#include <OgreZip.h>`

Inheritance diagram for Ogre::ZipArchiveFactory:
[legend]

List of all members.

## Public Member Functions
virtual | ~ZipArchiveFactory ()
const String & | getType (void) const
| Returns the factory type. Returns: The factory type.
Archive * | createInstance (const String &name)
  | Creates a new object. Parameters:
  | name | Name of the object to create
Returns: An object created by the factory. The type of the object depends on the factory.
void | destroyInstance (Archive *arch)
  | Destroys an object which was created by this factory. Parameters:
  | ptr | Pointer to the object to destroy
virtual void | destroyInstance (T *)=0
| Destroys an object which was created by this factory.

## Detailed Description

Specialisation of ArchiveFactory for Zip files.

Definition at line 91 of file OgreZip.h.

## Constructor & Destructor Documentation

virtual Ogre::ZipArchiveFactory::~ZipArchiveFactory | ( |  | ) | `[virtual]`

Definition at line 94 of file OgreZip.h.

## Member Function Documentation

const String& Ogre::ZipArchiveFactory::getType | ( | void |  | ) | const`[virtual]`

Returns the factory type.

Returns:
  The factory type.

Implements Ogre::FactoryObj< T >.

Archive* Ogre::ZipArchiveFactory::createInstance | ( | const String & | name | ) | `[virtual]`

Creates a new object.

Parameters:

  | name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< T >.

Definition at line 98 of file OgreZip.h.

void Ogre::ZipArchiveFactory::destroyInstance | ( | Archive * | arch | ) |

Destroys an object which was created by this factory.

Parameters:

  | ptr | Pointer to the object to destroy

Definition at line 103 of file OgreZip.h.

template<typename T>

virtual void Ogre::FactoryObj< T >::destroyInstance | ( | T * |  | ) | `[pure virtual, inherited]`

Destroys an object which was created by this factory.

Parameters:

  | ptr | Pointer to the object to destroy

The documentation for this class was generated from the following file:

- OgreZip.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:55:20 2008